# Investigating open access publications of Universität Leipzig

Luckily, UL gives us a REST-endpoint to get all of its publications for a given
year (aka a unsecured search endpoint that does not limit the number of returned
results).

1. We call this endpoint by running `./load_publications.sh`.
2. We then extract all DOIs using `./extract_dois.sh`.
3. We generate a list of calls to the DOI rest api using
   `./generate_url_calls.sh`
4. We then load meta data for each publication using `./download_json.sh`
5. These are then parsed using `jq` in `./process_json.sh`

This gives us a `jsonl` file that can be used for further analysis.

